%define bigfov 0
# --with plf build libpano with fov > 160 support wich is patent covered
# or have some legal issue, so disabled by default

%{?_with_plf: %{expand: %%global bigfov 1}}

%define name	pano12
%define version 2.7.0.10
%define	rel	2
%if %bigfov
%define distsuffix plf
%endif

%define	release	%mkrel %{rel}

%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %mklibname %{name}_ %{lib_major}

%define gcc_version %(gcc --version | head -n 1 | awk '{print $3}')

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Panorama Tools library
License:	GPL
Group:		System/Libraries
Source:		%{lib_name_orig}-%{version}.tar.bz2
URL:		http://panotools.sourceforge.net/
BuildRequires:	libgcj-devel
BuildRequires:	libjpeg-devel libpng-devel libtiff-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Utilies for Helmut Dersch's Panorama Tools.

%if %bigfov
This build is in PLF because there is a patent if FOV is > 160
%endif

%package -n %{lib_name}
Summary:	Panorama Tools library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	libpano0
Provides:	libpano0

%description -n %{lib_name}
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release} 
Provides:       %{name}-devel = %{version}-%{release}  
Obsoletes:	libpano0-devel
Obsoletes:	libpano-devel
Provides:	libpano0-devel
Provides:	libpano-devel

%description -n %{lib_name}-devel
Developent headers for Helmut Dersch's Panorama Tools.

%prep
%setup -q -n %{lib_name_orig}-%{version}

%build
%if %bigfov
perl -pi -e "s|\#define\s+MAX_FISHEYE_FOV.*|\#define MAX_FISHEYE_FOV 3600|" filter.h
%endif
export CFLAGS="$RPM_OPT_FLAGS -fPIC -I%{_includedir}/libgcj-%{gcc_version} -D__Ansi__"
%configure --enable-shared=yes --enable-static=no --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
chmod 644 $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files 
%defattr (-,root,root)
%doc gpl.txt README.linux README.windows
%{_bindir}/PTOptimizer
%{_bindir}/panoinfo

%files -n %{lib_name}
%defattr (-,root,root)
%{_libdir}/%{lib_name_orig}.so.*

%files -n %{lib_name}-devel
%defattr (-,root,root)
%{_includedir}/%{name}
%{_libdir}/%{lib_name_orig}.la
%{_libdir}/%{lib_name_orig}.so

%changelog
* Sat Oct 01 2005 Isenmann Daniel <rpm@mandrivauser.de> 2.7.0.10-2mud
- rebuild for Mandriva 10.1

* Fri Jul 08 2005 Couriousous <couriousous@mandriva.org> 2.7.0.10-2mdk
- Fix mkrel
- Fix script-without-shellbang rpmlint warning

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.0.10-1mdk
- 2.7.0.10
- %%mkrel

* Mon Mar 28 2005 Couriousous <couriousous@mandrake.org> 2.7.0.9-1mdk
- Add switch to enable big FOV ( disabled by default )
- New release

* Tue Jan 04 2005 Couriousous <couriousous@mandrake.org> 2.7.0.8-1mdk
- Spec fix
- New version

* Tue Jun 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20040622-1mdk
- first mdk release
